Unofficial Builds are NOT Supported and NOT Recommended

Discussion in 'Community News and Announcements' started by EvilSeph, Apr 4, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    EvilSeph Retired Staff

    Effectively immediately, we are no longer allowing the distribution of unofficial builds for several reasons:
    • It contributes to fragmentation
    • We have no way of ensuring the build doesn't contain malicious code
    • It results in an increased support load for a product we don't support, since it's an unofficial build.
    • It can end up misrepresenting our project if the unofficial builds cause problems. Yes, they're unofficial but, unfortunately, that doesn't usually stop people from letting it reflect badly upon the project.
    We strongly recommend against the use of unofficial builds for the above reasons and hope that everyone will heed our warning. Unofficial builds can and have caused map corruption, server crashing and/or have contained security holes and backdoors in the past.
     
    RichardG and Evenprime like this.
  2. Offline

    Livewire

    Is this for plugins or for Bukkit itself? I'm guessing Bukkit, but I'm not 100% sure.
     
  3. Offline

    Plague

    The license is about the source code and using it, which is not the issue here. The issue is deployment and support only.
    You are free to take the source code and compile it under a different name.
     
  4. But the only way I got iMine back was because of an unofficial build! Some of the biggest servers out there used the unofficial build. It's so useful whilst I'm trying to get all the plugins working with the latest version.
     
  5. Possibly Off-Topic, but could we get a rule that plugin's must be built for the recommended build, or atleast there to be a download for the recommended build as-well?
     
  6. Offline

    gnftoxic

    This has been a requirement, it's the latest 3 builds, otherwise the plugin is labelled as 'inactive.'
     
  7. Sorry, what i meant was, the post must have the recommended build download in. Not to try and drop anyone in it, but back when the latest RB was i think 556, Afforess's McMania plugin was built for ~580+, with no 556 download. If they had to have a RB download it would be good.
     
  8. Offline

    OrtwinS

    -snip-

    never mind
     
  9. I believe they are talking about bukkit builds not released by the bukkit team, not builds between RBs.

    E: That's not right either...
     
  10. Offline

    OrtwinS

    Ooooh... the builds between the numbered builds :p.
    Sure, in that case no problem, block it all you want.
     
  11. Offline

    oliverw92

    Question, will devs still be able to access the builds inbetween?
     
  12. Offline

    Connor Griffin

    If you will not be allowing the distribution of unofficial builds, can the Bukkit team please provide backwards-compatible builds when an update comes out? I'd be great if for the first week or so, people could run a server that lets 1.4 and 1.5 clients connect (or whatever the most recent and previous versions are).
     
  13. Offline

    Afforess

    That is not always possible. There was no protocol change between 1.3 and 1.4, which was why such a thing was possible, but I highly doubt that will be the case with 1.4 to 1.5.
     
Thread Status:
Not open for further replies.

Share This Page